Main Page Widgets Namespaces Book

# Gtk::Separator Class Reference

Separator base class. More...

Inheritance diagram for Gtk::Separator:

[legend]
List of all members.

## Public Methods

virtual | ~Separator ()
GtkSeparator* | gobj ()
const GtkSeparator* | gobj () const

## Protected Methods

| Separator ()

## Related Functions

(Note that these are not member functions.)
Gtk::Separator* | wrap (GtkSeparator* object, bool take_copy=false)

## Detailed Description

Separator base class.

Abstract base class for Gtk::VSeperator and Gtk::HSeperator.

## Constructor & Destructor Documentation

virtual Gtk::Separator::~Separator | ( |  | ) | `[virtual]`

Gtk::Separator::Separator | ( |  | ) | `[protected]`

## Member Function Documentation

const GtkSeparator* Gtk::Separator::gobj | ( |  | ) | const`[inline]`

| Reimplemented from Gtk::Widget. Reimplemented in Gtk::VSeparator, and Gtk::HSeparator.

GtkSeparator* Gtk::Separator::gobj | ( |  | ) | `[inline]`

| Reimplemented from Gtk::Widget. Reimplemented in Gtk::VSeparator, and Gtk::HSeparator.

## Friends And Related Function Documentation

Gtk::Separator* wrap | ( | GtkSeparator* | object,
|  | bool | take_copy = false
| ) | `[related]`

The documentation for this class was generated from the following file:

- separator.h